import {PageList, ResponseData} from "dh-unattended/src/interface/publice/httpBase";
import {PublicEnum} from "dh-unattended/src/interface/publice/rests";
import {MaterialCollectionListData, MaterialCollectionParams} from "dh-unattended/src/interface/views/basicInformationManage/materialCollection"
export default class MaterialGroupApi {
  constructor(tant:any) {
    this.tant=tant
  }
  private tant:any

  //列表查询接口
  materialGroupList(params: MaterialCollectionParams): Promise<ResponseData<PageList<MaterialCollectionListData>>> {
    return this.tant.$fetch({
      url: '/unattended/materialGroup/list',
      method: 'get',
      params
    })
  }

  //新增
  materialGroupAdd(data: {materialCodeList: string[],materialGroupName: string}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/materialGroup/add',
      method: 'post',
      data
    })
  }

  //编辑
  materialGroupUpdate(data: {materialCodeList: string[],materialGroupCode: string,materialGroupName: string}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/materialGroup/update',
      method: 'post',
      data
    })
  }

  //编辑查看详情接口
  materialGroupDetails(params: {materialGroupCode: string,materialGroupName: string}): Promise<ResponseData<any>> {
    return this.tant.$fetch({
      url: '/unattended/materialGroup/edit',
      method: 'get',
      params
    })
  }

  //查询未选的物料信息
  listUnCheckedMaterial(): Promise<ResponseData<any>>{
    return this.tant.$fetch({
      url: '/unattended/material/listUnCheckedMaterial',
      method: 'get'
    })
  }


}
