import {PageList, ResponseData} from "dh-unattended/src/interface/publice/httpBase";
import {PublicEnum} from "dh-unattended/src/interface/publice/rests";
import {MaterialDemandImportParams, MaterialDemandImportListData, MaterialDemandDetailsDataQuery, MaterialDemandDetailsListEdit, MaterialDemandDetailsQueryListData} from "dh-unattended/src/interface/views/materialDemandImport"
export default class MaterialDemandImportApi {
  constructor(tant:any) {
    this.tant=tant
  }
  private tant:any

  //原料需求列表接口
  materialDemandList(params: MaterialDemandImportParams): Promise<ResponseData<PageList<MaterialDemandImportListData>>> {
    return this.tant.$fetch({
      url: '/unattended/materialDemand/list',
      method: 'get',
      params
    })
  }
  //导入
  materialDemandImport(file: any): Promise<ResponseData<any>> {
    const formData: FormData = new FormData()
    formData.append('file', file.file)
    return this.tant.$fetch({
      url: '/unattended/materialDemand/import',
      method: 'post',
      data: formData
    })
  }

  //原料需求批量作废接口
  batchAbolition(data: {ids: Array<number>}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/materialDemand/batchAbolition',
      method: 'post',
      data
    })
  }

  //原料需求批量审核接口
  batchReview(data: {ids: Array<number>}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/materialDemand/batchReview',
      method: 'post',
      data
    })
  }

  //编辑原料需求信息接口
  materialDemandEdit(data: {id: number,remarks: string}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/materialDemand/edit',
      method: 'post',
      data
    })
  }

  //分页查询原料需求明细列表接口
  materialDemandDetailsPage(params: MaterialDemandDetailsDataQuery): Promise<ResponseData<PageList<MaterialDemandDetailsQueryListData>>> {
    return this.tant.$fetch({
      url: '/unattended/materialDemandDetails/page',
      method: 'get',
      params
    })
  }

  //添加原料需求明细接口
  materialDemandDetailsAdd(data: MaterialDemandDetailsListEdit): Promise<ResponseData<boolean>>{
    return this.tant.$fetch({
      url: '/unattended/materialDemandDetails/add',
      method: 'post',
      data
    })
  }

  //编辑原料需求明细接口
  materialDemandDetailsEdit(data: MaterialDemandDetailsListEdit): Promise<ResponseData<boolean>>{
    return this.tant.$fetch({
      url: '/unattended/materialDemandDetails/edit',
      method: 'post',
      data
    })
  }

  //批量删除明细
  materialDemandDetailsDelete(data: {ids: Array<number>}): Promise<ResponseData<boolean>>{
    return this.tant.$fetch({
      url: '/unattended/materialDemandDetails/delete',
      method: 'post',
      data
    })
  }

  //物料集下拉接口
  getAllMaterialGroup(params: {materialGroupName: string}): Promise<ResponseData<Array<{materialGroupCode: string,materialGroupName: string}>>>{
    return this.tant.$fetch({
      url: '/unattended/materialDemandDetails/getAllMaterialGroup',
      method: 'get',
      params
    })
  }
  //工厂下拉接口
  manufacturerQuery(): Promise<ResponseData<Array<{name: string,code: string}>>>{
    return this.tant.$fetch({
      url: '/unattended/manufacturer/query',
      method: 'get'
    })
  }
}
